## libpfm4 4.8.0

=== lib/Makefile ===
#
# Copyright (c) 2002-2006 Hewlett-Packard Development Company, L.P.
# Contributed by Stephane Eranian <eranian@hpl.hp.com>
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies
# of the Software, and to permit persons to whom the Software is furnished to do so,
# subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED,
# INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
# PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
# HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF
# CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE
# OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
#
TOPDIR  := $(shell if [ "$$PWD" != "" ]; then echo $$PWD; else pwd; fi)/..

include $(TOPDIR)/config.mk
include $(TOPDIR)/rules.mk

#
# Common files
#
SRCS=pfmlib_common.c

ifeq ($(SYS),Linux)
SRCS += pfmlib_perf_event_pmu.c pfmlib_perf_event.c pfmlib_perf_event_raw.c
endif

CFLAGS+=-D_REENTRANT -I. -fvisibility=hidden

#
# list all library support modules
#
ifeq ($(CONFIG_PFMLIB_ARCH_IA64),y)
INCARCH = $(INC_IA64)
#SRCS   += pfmlib_gen_ia64.c pfmlib_itanium.c pfmlib_itanium2.c pfmlib_montecito.c
CFLAGS += -DCONFIG_PFMLIB_ARCH_IA64
endif

ifeq ($(CONFIG_PFMLIB_ARCH_X86),y)

ifeq ($(SYS),Linux)
SRCS += pfmlib_intel_x86_perf_event.c pfmlib_amd64_perf_event.c \
	pfmlib_intel_netburst_perf_event.c \
	pfmlib_intel_snbep_unc_perf_event.c
endif

INCARCH = $(INC_X86)
SRCS   += pfmlib_amd64.c pfmlib_intel_core.c pfmlib_intel_x86.c \
	  pfmlib_intel_x86_arch.c pfmlib_intel_atom.c \
	  pfmlib_intel_nhm_unc.c pfmlib_intel_nhm.c \
	  pfmlib_intel_wsm.c  \
	  pfmlib_intel_snb.c pfmlib_intel_snb_unc.c \
	  pfmlib_intel_ivb.c pfmlib_intel_ivb_unc.c \
	  pfmlib_intel_hsw.c \
	  pfmlib_intel_bdw.c \
	  pfmlib_intel_skl.c \
	  pfmlib_intel_rapl.c \
	  pfmlib_intel_snbep_unc.c \
	  pfmlib_intel_snbep_unc_cbo.c \
	  pfmlib_intel_snbep_unc_ha.c \
	  pfmlib_intel_snbep_unc_imc.c \
	  pfmlib_intel_snbep_unc_pcu.c \
	  pfmlib_intel_snbep_unc_qpi.c \
	  pfmlib_intel_snbep_unc_ubo.c \
	  pfmlib_intel_snbep_unc_r2pcie.c \
	  pfmlib_intel_snbep_unc_r3qpi.c \
	  pfmlib_intel_ivbep_unc_cbo.c \
	  pfmlib_intel_ivbep_unc_ha.c \
	  pfmlib_intel_ivbep_unc_imc.c \
	  pfmlib_intel_ivbep_unc_pcu.c \
	  pfmlib_intel_ivbep_unc_qpi.c \
	  pfmlib_intel_ivbep_unc_ubo.c \
	  pfmlib_intel_ivbep_unc_r2pcie.c \
	  pfmlib_intel_ivbep_unc_r3qpi.c \
	  pfmlib_intel_ivbep_unc_irp.c \
	  pfmlib_intel_hswep_unc_cbo.c \
	  pfmlib_intel_hswep_unc_ha.c \
	  pfmlib_intel_hswep_unc_imc.c \
	  pfmlib_intel_hswep_unc_pcu.c \
	  pfmlib_intel_hswep_unc_qpi.c \
	  pfmlib_intel_hswep_unc_ubo.c \
	  pfmlib_intel_hswep_unc_r2pcie.c \
	  pfmlib_intel_hswep_unc_r3qpi.c \
	  pfmlib_intel_hswep_unc_irp.c \
	  pfmlib_intel_hswep_unc_sbo.c \
	  pfmlib_intel_knc.c \
	  pfmlib_intel_slm.c \
	  pfmlib_intel_knl.c \
	  pfmlib_intel_knl_unc_imc.c \
	  pfmlib_intel_knl_unc_edc.c \
	  pfmlib_intel_knl_unc_cha.c \
	  pfmlib_intel_knl_unc_m2pcie.c \
	  pfmlib_intel_glm.c \
	  pfmlib_intel_netburst.c \
	  pfmlib_amd64_k7.c pfmlib_amd64_k8.c pfmlib_amd64_fam10h.c \
	  pfmlib_amd64_fam11h.c pfmlib_amd64_fam12h.c \
	  pfmlib_amd64_fam14h.c pfmlib_amd64_fam15h.c

CFLAGS += -DCONFIG_PFMLIB_ARCH_X86

ifeq ($(CONFIG_PFMLIB_ARCH_I386),y)
SRCS += pfmlib_intel_coreduo.c pfmlib_intel_p6.c
CFLAGS += -DCONFIG_PFMLIB_ARCH_I386
endif

ifeq ($(CONFIG_PFMLIB_ARCH_X86_64),y)
CFLAGS += -DCONFIG_PFMLIB_ARCH_X86_64
endif

endif

ifeq ($(CONFIG_PFMLIB_ARCH_POWERPC),y)

ifeq ($(SYS),Linux)
SRCS += pfmlib_powerpc_perf_event.c
endif

INCARCH = $(INC_POWERPC)
SRCS   += pfmlib_powerpc.c pfmlib_power4.c pfmlib_ppc970.c pfmlib_power5.c pfmlib_power6.c pfmlib_power7.c pfmlib_torrent.c pfmlib_power8.c pfmlib_powerpc_nest.c
CFLAGS += -DCONFIG_PFMLIB_ARCH_POWERPC
endif

ifeq ($(CONFIG_PFMLIB_ARCH_S390X),y)

ifeq ($(SYS),Linux)
SRCS += pfmlib_s390x_perf_event.c
endif

INCARCH = $(INC_S390X)
SRCS   += pfmlib_s390x_cpumf.c
CFLAGS += -DCONFIG_PFMLIB_ARCH_S390X
endif

ifeq ($(CONFIG_PFMLIB_ARCH_SPARC),y)

ifeq ($(SYS),Linux)
SRCS += pfmlib_sparc_perf_event.c
endif

INCARCH = $(INC_SPARC)
SRCS   += pfmlib_sparc.c pfmlib_sparc_ultra12.c pfmlib_sparc_ultra3.c pfmlib_sparc_ultra4.c pfmlib_sparc_niagara.c
CFLAGS += -DCONFIG_PFMLIB_ARCH_SPARC
endif

ifeq ($(CONFIG_PFMLIB_ARCH_ARM),y)

ifeq ($(SYS),Linux)
SRCS += pfmlib_arm_perf_event.c
endif

INCARCH = $(INC_ARM)
SRCS   += pfmlib_arm.c pfmlib_arm_armv7_pmuv1.c pfmlib_arm_armv6.c pfmlib_arm_armv8.c
CFLAGS += -DCONFIG_PFMLIB_ARCH_ARM
endif

ifeq ($(CONFIG_PFMLIB_ARCH_ARM64),y)

ifeq ($(SYS),Linux)
SRCS += pfmlib_arm_perf_event.c
endif

INCARCH = $(INC_ARM64)
SRCS   += pfmlib_arm.c pfmlib_arm_armv8.c
CFLAGS += -DCONFIG_PFMLIB_ARCH_ARM64
endif

ifeq ($(CONFIG_PFMLIB_ARCH_MIPS),y)

ifeq ($(SYS),Linux)
SRCS += pfmlib_mips_perf_event.c
endif

INCARCH = $(INC_MIPS)
SRCS   += pfmlib_mips.c pfmlib_mips_74k.c
CFLAGS += -DCONFIG_PFMLIB_ARCH_MIPS
endif

ifeq ($(CONFIG_PFMLIB_CELL),y)
INCARCH = $(INC_CELL)
#SRCS   += pfmlib_cell.c
CFLAGS += -DCONFIG_PFMLIB_CELL
endif

ifeq ($(SYS),Linux)
SLDFLAGS=$(LDFLAGS) -shared -Wl,-soname -Wl,$(VLIBPFM)
SLIBPFM=libpfm.so.$(VERSION).$(REVISION).$(AGE)
VLIBPFM=libpfm.so.$(VERSION)
SOLIBEXT=so
endif

CFLAGS+=-I.
ALIBPFM=libpfm.a

TARGETS=$(ALIBPFM)

ifeq ($(CONFIG_PFMLIB_SHARED),y)
TARGETS += $(SLIBPFM)
endif

OBJS=$(SRCS:.c=.o)
SOBJS=$(OBJS:.o=.lo)

INC_COMMON= $(PFMINCDIR)/perfmon/pfmlib.h pfmlib_priv.h

ifeq ($(SYS),Linux)
INC_COMMON += $(PFMINCDIR)/perfmon/perf_event.h events/perf_events.h
endif

INC_IA64=pfmlib_ia64_priv.h	 \
	events/itanium_events.h	 \
	events/itanium2_events.h \
	events/montecito_events.h

INC_X86= pfmlib_intel_x86_priv.h	\
	pfmlib_amd64_priv.h		\
	events/amd64_events_k7.h    	\
	events/amd64_events_k8.h    	\
	events/amd64_events_fam10h.h	\
	events/amd64_events_fam11h.h	\
	events/amd64_events_fam12h.h	\
	events/amd64_events_fam14h.h	\
	events/amd64_events_fam15h.h	\
	events/intel_p6_events.h	\
	events/intel_netburst_events.h	\
	events//intel_x86_arch_events.h \
	events/intel_coreduo_events.h	\
	events/intel_core_events.h	\
	events/intel_atom_events.h	\
	events/intel_nhm_events.h	\
	events/intel_nhm_unc_events.h	\
	events/intel_wsm_events.h	\
	events/intel_wsm_unc_events.h	\
	events/intel_snb_events.h	\
	events/intel_snb_unc_events.h	\
	events/intel_ivb_events.h	\
	events/intel_hsw_events.h	\
	events/intel_bdw_events.h	\
	events/intel_skl_events.h	\
	events/intel_glm_events.h	\
	pfmlib_intel_snbep_unc_priv.h	\
	events/intel_snbep_unc_cbo_events.h \
	events/intel_snbep_unc_ha_events.h \
	events/intel_snbep_unc_imc_events.h \
	events/intel_snbep_unc_pcu_events.h \
	events/intel_snbep_unc_qpi_events.h \
	events/intel_snbep_unc_ubo_events.h \
	events/intel_snbep_unc_r2pcie_events.h \
	events/intel_snbep_unc_r3qpi_events.h \
	events/intel_knc_events.h \
	events/intel_knl_events.h \
	events/intel_ivbep_unc_cbo_events.h \
	events/intel_ivbep_unc_ha_events.h \
	events/intel_ivbep_unc_imc_events.h \
	events/intel_ivbep_unc_pcu_events.h \
	events/intel_ivbep_unc_qpi_events.h \
	events/intel_ivbep_unc_ubo_events.h \
	events/intel_ivbep_unc_r2pcie_events.h \
	events/intel_ivbep_unc_r3qpi_events.h \
	events/intel_ivbep_unc_irp_events.h \
	events/intel_hswep_unc_cbo_events.h \
	events/intel_hswep_unc_sbo_events.h \
	events/intel_hswep_unc_ha_events.h \
	events/intel_hswep_unc_imc_events.h \
	events/intel_hswep_unc_pcu_events.h \
	events/intel_hswep_unc_qpi_events.h \
	events/intel_hswep_unc_ubo_events.h \
	events/intel_hswep_unc_r2pcie_events.h \
	events/intel_hswep_unc_r3qpi_events.h \
	events/intel_hswep_unc_irp_events.h \
	events/intel_knl_unc_imc_events.h \
	events/intel_knl_unc_edc_events.h \
	events/intel_knl_unc_cha_events.h \
	events/intel_knl_unc_m2pcie_events.h \
	events/intel_slm_events.h

INC_MIPS=events/mips_74k_events.h events/mips_74k_events.h

INC_POWERPC=events/ppc970_events.h	\
	events/ppc970mp_events.h	\
	events/power4_events.h		\
	events/power5_events.h		\
	events/power5+_events.h		\
	events/power6_events.h		\
	events/power7_events.h		\
	events/power8_events.h		\
	events/torrent_events.h		\
	events/powerpc_nest_events.h

INC_S390X=pfmlib_s390x_priv.h \
	events/s390x_cpumf_events.h

INC_SPARC=events/sparc_ultra12_events.h		\
	events/sparc_ultra3_events.h		\
	events/sparc_ultra3plus_events.h	\
	events/sparc_ultra3i_events.h		\
	events/sparc_ultra4plus_events.h	\
	events/sparc_niagara1_events.h		\
	events/sparc_niagara2_events.h

INC_CELL=events/cell_events.h

INC_ARM=events/arm_cortex_a8_events.h		\
        events/arm_cortex_a9_events.h		\
        events/arm_arm_xgene_events.h

INC_ARM=pfmlib_arm_priv.h			\
	events/arm_cortex_a7_events.h		\
	events/arm_cortex_a8_events.h		\
	events/arm_cortex_a9_events.h		\
	events/arm_cortex_a15_events.h		\
	events/arm_cortex_a57_events.h		\
	events/arm_cortex_a53_events.h

INC_ARM64=events/arm_cortex_a57_events.h	\
	  events/arm_cortex_a53_events.h

INCDEP=$(INC_COMMON) $(INCARCH)

all: $(TARGETS)

$(OBJS) $(SOBJS): $(TOPDIR)/config.mk $(TOPDIR)/rules.mk Makefile $(INCDEP)

libpfm.a:  $(OBJS)
	$(RM) $@
	$(AR) cq $@ $(OBJS)

$(SLIBPFM):  $(SOBJS)
	$(CC) $(CFLAGS) $(SLDFLAGS)  -o $@ $(SOBJS)
	$(LN) $@ $(VLIBPFM)
	$(LN) $@ libpfm.$(SOLIBEXT)

clean:
	$(RM) -f *.o *.lo *.a *.so* *~ *.$(SOLIBEXT)

distclean: clean

depend:
	$(MKDEP) $(CFLAGS) $(SRCS)

install: $(TARGETS)

install:
	@echo building: $(TARGETS)
	-mkdir -p $(DESTDIR)$(LIBDIR)
	$(INSTALL) -m 644 $(ALIBPFM) $(DESTDIR)$(LIBDIR)
ifeq ($(CONFIG_PFMLIB_SHARED),y)
	$(INSTALL) $(SLIBPFM) $(DESTDIR)$(LIBDIR)
	cd $(DESTDIR)$(LIBDIR); $(LN) $(SLIBPFM) $(VLIBPFM)
	cd $(DESTDIR)$(LIBDIR); $(LN) $(SLIBPFM) libpfm.$(SOLIBEXT)
	$(LDCONFIG)
endif

tags:
	$(CTAGS) -o $(TOPDIR)/tags --tag-relative=yes $(SRCS) $(INCDEP)

=== debian/changelog ===
libpfm4 (4.8.0-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 11 Jan 2017 00:32:06 +0100

libpfm4 (4.8.0-1) unstable; urgency=medium

  * New upstream release.
  * typos.patch: Fix some more typos.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 07 Nov 2016 15:46:31 +0100

libpfm4 (4.7.0+git30-gd422ba2-2) unstable; urgency=medium

  * PIE.patch: New, -fPIC needs to override -fPIE.
  * Build with PIE enabled.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 07 Oct 2016 15:35:12 +0200

libpfm4 (4.7.0+git30-gd422ba2-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 28 Sep 2016 18:33:32 +0200

libpfm4 (4.7.0+git30-gd422ba2-1) unstable; urgency=medium

  * New upstream GIT snapshot.
  * Overhaul buildflags usage and enable more hardening.
  * Fix i386 (cross-)build with x86_64 uname.
  * typos.patch: Fix some more typos.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 19 Sep 2016 02:21:25 +0200

libpfm4 (4.6.0-4~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 27 Jul 2015 03:33:01 +0200

libpfm4 (8.0) unstable; urgency=low
  * add Intel Knights Landing support
  * add Intel Goldmont support
  * update Intel event tables
  * allow . as delimiter for event string
  * add SQ_MISC:SPLIT_LOCK
  * enable Broadwell EP
  * various fixes

 -- Stephane Eranian <eranian@gmail.com>  Sat, 5 Nov  2016 14:38:01 +0200

=== debian/control ===
Source: libpfm4
Priority: extra
Maintainer: Vincent Danjean <vdanjean@debian.org>
Uploaders:
 Andreas Beckmann <anbe@debian.org>,
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python-all-dev (>= 2.6.6-3~),
 swig,
X-Python-Version: >=2.4
Standards-Version: 3.9.8
Section: libs
Homepage: http://perfmon2.sourceforge.net/
Vcs-Git: https://anonscm.debian.org/git/collab-maint/libpfm4.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/libpfm4.git

Package: libpfm4
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Library to program the performance monitoring events
 Libpfm4 helps convert from an event name, expressed as a string, to
 the event encoding. The encoding can then be used with specific OS
 interfaces. Libpfm4 also provides OS-specific interfaces to directly
 setup OS-specific data structures to be passed to the kernel. The
 current libpfm4, for instance, provides support for the perf_events
 interface which was introduced in Linux v2.6.31.
 .
 This package provides the shared library.

Package: libpfm4-dev
Section: libdevel
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends}, libpfm4 (= ${binary:Version})
Conflicts: libpfm3-3.2-dev
Replaces: libpfm3-3.2-dev
Description: Development files for the libpfm4 library
 Libpfm4 helps convert from an event name, expressed as a string, to
 the event encoding. The encoding can then be used with specific OS
 interfaces. Libpfm4 also provides OS-specific interfaces to directly
 setup OS-specific data structures to be passed to the kernel. The
 current libpfm4, for instance, provides support for the perf_events
 interface which was introduced in Linux v2.6.31.
 .
 This package provides the development files of the library.

Package: python-libpfm4
Architecture: linux-any
Section: python
Depends: libpfm4 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends},
 ${python:Depends}
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: Python bindings for libpfm4
 This package allows you to write simple Python scripts that monitor
 various hardware performance monitoring events. It may be more efficient
 to use this approach instead of parsing the output of other tools.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DPKG_EXPORT_BUILDFLAGS	 = yes
include /usr/share/dpkg/buildflags.mk

# Upstream does not use CPPFLAGS
CFLAGS	+= $(CPPFLAGS)

DEB_HOST_ARCH		?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_MULTIARCH	?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

PYTHON2=$(shell pyversions -vr)

# Prevent setuptools/distribute from accessing the internet.
export http_proxy = http://127.0.0.1:9

%:
	dh  $@ --with python2

#ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
#test-python%:
#	cd python && python$* setup.py test -vv
#
#override_dh_auto_test: $(PYTHON2:%=test-python%) $(PYTHON3:%=test-python%)
#endif

.PHONY: override_dh_auto_build
override_dh_auto_build:
	dh_auto_build -- $(if $(filter i386,$(DEB_HOST_ARCH)),ARCH=i386)
	LDFLAGS="$(filter-out -pie,$(LDFLAGS))" \
	dh_auto_build --sourcedirectory=python --buildsystem=python_distutils

.PHONY: override_dh_auto_install
override_dh_auto_install:
	make install \
		DESTDIR=$(CURDIR)/debian/tmp \
		PREFIX=/usr \
		LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
		LDCONFIG=true
	dh_auto_install --sourcedirectory=python --buildsystem=python_distutils

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	dh_auto_clean
	dh_auto_clean --sourcedirectory=python --buildsystem=python_distutils
	dh_auto_clean --sourcedirectory=python --buildsystem=makefile

.PHONY: override_dh_makeshlibs
override_dh_makeshlibs:
	dh_makeshlibs -a -- -c4

.PHONY: override_dh_shlibdeps
override_dh_shlibdeps:
	dh_shlibdeps -a -- --warnings=7

.PHONY: override_dh_install
override_dh_install:
	dh_install --list-missing -X.pyc

## libpfm4 4.8.0+git16

=== docs/Makefile ===
#
# Copyright (c) 2002-2006 Hewlett-Packard Development Company, L.P.
# Contributed by Stephane Eranian <eranian@hpl.hp.com>
#
# Permission is hereby granted, free of charge, to any person obtaining a copy 
# of this software and associated documentation files (the "Software"), to deal 
# in the Software without restriction, including without limitation the rights 
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies 
# of the Software, and to permit persons to whom the Software is furnished to do so, 
# subject to the following conditions:
# 
# The above copyright notice and this permission notice shall be included in all 
# copies or substantial portions of the Software.  
# 
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, 
# INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A 
# PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT 
# HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF 
# CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE 
# OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
#

TOPDIR  := $(shell if [ "$$PWD" != "" ]; then echo $$PWD; else pwd; fi)/..

include $(TOPDIR)/config.mk
include $(TOPDIR)/rules.mk

.PHONY: all clean distclean depend

ARCH_MAN=
SYS_MAN=

ifeq ($(CONFIG_PFMLIB_ARCH_X86),y)
ARCH_MAN=libpfm_intel_core.3	\
	 libpfm_intel_x86_arch.3\
	 libpfm_amd64.3		\
	 libpfm_amd64_k7.3	\
	 libpfm_amd64_k8.3	\
	 libpfm_amd64_fam10h.3	\
	 libpfm_amd64_fam15h.3	\
	 libpfm_intel_atom.3	\
	 libpfm_intel_nhm.3	\
	 libpfm_intel_nhm_unc.3 \
	 libpfm_intel_wsm.3	\
	 libpfm_intel_wsm_unc.3 \
	 libpfm_intel_snb.3	\
	 libpfm_intel_snb_unc.3 \
	 libpfm_intel_ivb.3	\
	 libpfm_intel_ivb_unc.3 \
	 libpfm_intel_hsw.3	\
	 libpfm_intel_bdw.3	\
	 libpfm_intel_rapl.3	\
	 libpfm_intel_slm.3	\
	 libpfm_intel_skl.3	\
	 libpfm_intel_glm.3	\
	 libpfm_intel_knl.3	\
	 libpfm_intel_snbep_unc_cbo.3 \
	 libpfm_intel_snbep_unc_ha.3 \
	 libpfm_intel_snbep_unc_imc.3 \
	 libpfm_intel_snbep_unc_pcu.3 \
	 libpfm_intel_snbep_unc_qpi.3 \
	 libpfm_intel_snbep_unc_ubo.3 \
	 libpfm_intel_snbep_unc_r2pcie.3 \
	 libpfm_intel_snbep_unc_r3qpi.3 \
	 libpfm_intel_ivbep_unc_cbo.3 \
	 libpfm_intel_ivbep_unc_ha.3 \
	 libpfm_intel_ivbep_unc_imc.3 \
	 libpfm_intel_ivbep_unc_pcu.3 \
	 libpfm_intel_ivbep_unc_qpi.3 \
	 libpfm_intel_ivbep_unc_ubo.3 \
	 libpfm_intel_ivbep_unc_r2pcie.3 \
	 libpfm_intel_ivbep_unc_r3qpi.3 \
	 libpfm_intel_ivbep_unc_irp.3 \
	 libpfm_intel_knc.3 \
	 libpfm_intel_hswep_unc_cbo.3 \
	 libpfm_intel_hswep_unc_ha.3 \
	 libpfm_intel_hswep_unc_imc.3 \
	 libpfm_intel_hswep_unc_irp.3 \
	 libpfm_intel_hswep_unc_pcu.3 \
	 libpfm_intel_hswep_unc_qpi.3 \
	 libpfm_intel_hswep_unc_r2pcie.3 \
	 libpfm_intel_hswep_unc_r3qpi.3 \
	 libpfm_intel_hswep_unc_sbo.3 \
	 libpfm_intel_hswep_unc_ubo.3

ifeq ($(CONFIG_PFMLIB_ARCH_I386),y)
ARCH_MAN += libpfm_intel_p6.3 libpfm_intel_coreduo.3
endif

endif

ifeq ($(CONFIG_PFMLIB_ARCH_ARM),y)
ARCH_MAN += libpfm_arm_xgene.3 \
	    libpfm_arm_ac7.3 \
	    libpfm_arm_ac57.3 \
	    libpfm_arm_ac53.3 \
	    libpfm_arm_ac15.3 \
	    libpfm_arm_ac8.3 \
	    libpfm_arm_ac9.3 \
	    libpfm_arm_qcom_krait.3
endif

ifeq ($(CONFIG_PFMLIB_ARCH_ARM64),y)
ARCH_MAN += libpfm_arm_xgene.3 \
	    libpfm_arm_ac57.3 \
	    libpfm_arm_ac53.3
endif

ifeq ($(CONFIG_PFMLIB_ARCH_MIPS),y)
ARCH_MAN += libpfm_mips_74k.3
endif

GEN_MAN= libpfm.3 \
	pfm_find_event.3 \
	pfm_get_event_attr_info.3 \
	pfm_get_event_info.3 \
	pfm_get_event_encoding.3 \
	pfm_get_event_next.3 \
	pfm_get_pmu_info.3 \
	pfm_get_os_event_encoding.3 \
	pfm_get_version.3 \
	pfm_initialize.3 \
	pfm_terminate.3 \
	pfm_strerror.3

ifeq ($(SYS),Linux)
SYS_MAN=pfm_get_perf_event_encoding.3 libpfm_perf_event_raw.3
endif

MAN=$(GEN_MAN) $(ARCH_MAN) $(SYS_MAN)

install:

	-mkdir -p $(DESTDIR)$(MANDIR)/man3
	( cd man3; $(INSTALL) -m 644 $(MAN) $(DESTDIR)$(MANDIR)/man3 )

=== lib/Makefile ===
--- 
+++ 
@@ -124,7 +124,7 @@
 endif
 
 INCARCH = $(INC_POWERPC)
-SRCS   += pfmlib_powerpc.c pfmlib_power4.c pfmlib_ppc970.c pfmlib_power5.c pfmlib_power6.c pfmlib_power7.c pfmlib_torrent.c pfmlib_power8.c pfmlib_powerpc_nest.c
+SRCS   += pfmlib_powerpc.c pfmlib_power4.c pfmlib_ppc970.c pfmlib_power5.c pfmlib_power6.c pfmlib_power7.c pfmlib_torrent.c pfmlib_power8.c pfmlib_power9.c pfmlib_powerpc_nest.c
 CFLAGS += -DCONFIG_PFMLIB_ARCH_POWERPC
 endif
 
@@ -291,6 +291,7 @@
 	events/power6_events.h		\
 	events/power7_events.h		\
 	events/power8_events.h		\
+	events/power9_events.h		\
 	events/torrent_events.h		\
 	events/powerpc_nest_events.h
 
@@ -355,7 +356,7 @@
 	$(INSTALL) $(SLIBPFM) $(DESTDIR)$(LIBDIR)
 	cd $(DESTDIR)$(LIBDIR); $(LN) $(SLIBPFM) $(VLIBPFM)
 	cd $(DESTDIR)$(LIBDIR); $(LN) $(SLIBPFM) libpfm.$(SOLIBEXT)
-	$(LDCONFIG)
+	-$(LDCONFIG)
 endif
 
 tags:

## libpfm4 4.8.0+git16-g8385268

=== debian/changelog ===
libpfm4 (4.8.0+git16-g8385268-1) unstable; urgency=medium

  * New upstream GIT snapshot.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 02 May 2017 14:53:41 +0200

libpfm4 (4.8.0+git14-g71a960d-1) experimental; urgency=medium

  * New upstream GIT snapshot, reverting an unintended ABI change.
    (Closes: #859524)
  * Drop patches that were merged upstream.
  * Add proposed s390x patch from William Cohen.
  * Add Breaks against libpapi5 (<< 5.5.1-2~), pcp (<< 3.11.10~) that may have
    been built against the incompatible ABI.
  * Remove PIE workarounds, this now works out-of-the-box.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 11 Apr 2017 21:31:50 +0200

libpfm4 (4.8.0-2) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Cherry-pick event fixes, event additions and RAPL support for newer CPUs.

  [ Dimitri John Ledkov ]
  * Execute validation tests at build time. LP: #1521969

 -- Andreas Beckmann <anbe@debian.org>  Sat, 11 Mar 2017 02:47:54 +0100

=== debian/control ===
--- 
+++ 
@@ -20,6 +20,9 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Breaks:
+ libpapi5 (<< 5.5.1-2~),
+ pcp (<< 3.11.10~),
 Description: Library to program the performance monitoring events
  Libpfm4 helps convert from an event name, expressed as a string, to
  the event encoding. The encoding can then be used with specific OS

=== debian/rules ===
--- 
+++ 
@@ -33,8 +33,11 @@
 .PHONY: override_dh_auto_build
 override_dh_auto_build:
 	dh_auto_build -- $(if $(filter i386,$(DEB_HOST_ARCH)),ARCH=i386)
-	LDFLAGS="$(filter-out -pie,$(LDFLAGS))" \
 	dh_auto_build --sourcedirectory=python --buildsystem=python_distutils
+
+.PHONY: override_dh_auto_test
+override_dh_auto_test:
+	./tests/validate
 
 .PHONY: override_dh_auto_install
 override_dh_auto_install:

## libpfm4 4.9.0

=== docs/Makefile ===
--- 
+++ 
@@ -38,6 +38,8 @@
 	 libpfm_amd64_k8.3	\
 	 libpfm_amd64_fam10h.3	\
 	 libpfm_amd64_fam15h.3	\
+	 libpfm_amd64_fam16h.3	\
+	 libpfm_amd64_fam17h.3	\
 	 libpfm_intel_atom.3	\
 	 libpfm_intel_nhm.3	\
 	 libpfm_intel_nhm_unc.3 \
@@ -81,7 +83,18 @@
 	 libpfm_intel_hswep_unc_r2pcie.3 \
 	 libpfm_intel_hswep_unc_r3qpi.3 \
 	 libpfm_intel_hswep_unc_sbo.3 \
-	 libpfm_intel_hswep_unc_ubo.3
+	 libpfm_intel_hswep_unc_ubo.3  \
+	 libpfm_intel_bdx_unc_cbo.3 \
+	 libpfm_intel_bdx_unc_ha.3 \
+	 libpfm_intel_bdx_unc_imc.3 \
+	 libpfm_intel_bdx_unc_irp.3 \
+	 libpfm_intel_bdx_unc_pcu.3 \
+	 libpfm_intel_bdx_unc_qpi.3 \
+	 libpfm_intel_bdx_unc_r2pcie.3 \
+	 libpfm_intel_bdx_unc_r3qpi.3 \
+	 libpfm_intel_bdx_unc_sbo.3 \
+	 libpfm_intel_bdx_unc_ubo.3
+
 
 ifeq ($(CONFIG_PFMLIB_ARCH_I386),y)
 ARCH_MAN += libpfm_intel_p6.3 libpfm_intel_coreduo.3

=== examples/Makefile ===
#
# Copyright (c) 2002-2006 Hewlett-Packard Development Company, L.P.
# Contributed by Stephane Eranian <eranian@hpl.hp.com>
#
# Permission is hereby granted, free of charge, to any person obtaining a copy 
# of this software and associated documentation files (the "Software"), to deal 
# in the Software without restriction, including without limitation the rights 
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies 
# of the Software, and to permit persons to whom the Software is furnished to do so, 
# subject to the following conditions:
# 
# The above copyright notice and this permission notice shall be included in all 
# copies or substantial portions of the Software.  
# 
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, 
# INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A 
# PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT 
# HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF 
# CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE 
# OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
#

TOPDIR  := $(shell if [ "$$PWD" != "" ]; then echo $$PWD; else pwd; fi)/..

include $(TOPDIR)/config.mk
include $(TOPDIR)/rules.mk

CFLAGS+= -I. -D_GNU_SOURCE
LIBS += -lm

ifeq ($(SYS),Linux)
CFLAGS+= -pthread
LIBS += -lrt
endif

ifeq ($(SYS),WINDOWS)
LIBS += -lgnurx
endif

TARGETS=showevtinfo check_events
EXAMPLESDIR=$(DESTDIR)$(DOCDIR)/examples

all: $(TARGETS)
	@set -e ; for d in $(DIRS) ; do $(MAKE) -C $$d $@ ; done

$(TARGETS):  %:%.o $(PFMLIB)
	$(CC) $(CFLAGS) -o $@ $(LDFLAGS) $^ $(LIBS) 
clean:
	@set -e ; for d in $(DIRS) ; do $(MAKE) -C $$d $@ ; done
	$(RM) -f *.o $(TARGETS) *~

distclean: clean

install_examples: $(TARGETS)
	@echo installing: $(TARGETS)
	-mkdir -p $(EXAMPLESDIR)
	$(INSTALL) -m 755 $(TARGETS) $(EXAMPLESDIR)
	@set -e ; for d in $(DIRS) ; do $(MAKE) -C $$d $@ ; done
#
# examples are installed as part of the RPM install, typically in /usr/share/doc/libpfm-X.Y/
#
.PHONY: install depend install_examples

=== perf_examples/Makefile ===
#
# Copyright (c) 2002-2006 Hewlett-Packard Development Company, L.P.
# Contributed by Stephane Eranian <eranian@hpl.hp.com>
#
# Permission is hereby granted, free of charge, to any person obtaining a copy 
# of this software and associated documentation files (the "Software"), to deal 
# in the Software without restriction, including without limitation the rights 
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies 
# of the Software, and to permit persons to whom the Software is furnished to do so, 
# subject to the following conditions:
# 
# The above copyright notice and this permission notice shall be included in all 
# copies or substantial portions of the Software.  
# 
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, 
# INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A 
# PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT 
# HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF 
# CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE 
# OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
#

TOPDIR  := $(shell if [ "$$PWD" != "" ]; then echo $$PWD; else pwd; fi)/..

include $(TOPDIR)/config.mk
include $(TOPDIR)/rules.mk

DIRS=

ifeq ($(ARCH),ia64)
#DIRS +=ia64
endif

ifeq ($(ARCH),x86_64)
DIRS += x86
endif

ifeq ($(ARCH),i386)
DIRS += x86
endif

CFLAGS+= -I. -D_GNU_SOURCE -pthread

PERF_EVENT_HDR=$(TOPDIR)/include/perfmon/pfmlib_perf_event.h

LPC_UTILS=perf_util.o
LPC_UTILS_HDR=perf_util.h

TARGETS+=self self_basic self_count task task_attach_timeout syst \
	notify_self notify_group task_smpl self_smpl_multi \
	self_pipe syst_count task_cpu syst_smpl evt2raw \
	branch_smpl

EXAMPLESDIR=$(DESTDIR)$(DOCDIR)/perf_examples

all: $(TARGETS)
	@set -e ; for d in $(DIRS) ; do $(MAKE) -C $$d $@ ; done
#
# Many systems don't have ncurses-devel installed
#
rtop: rtop.o $(PFMLIB)
	-$(CC) $(CFLAGS) $(LDFLAGS) -D_GNU_SOURCE -o $@ $^ $(LIBS)  -lpthread -lncurses -lm

$(TARGETS): %:%.o $(LPC_UTILS) $(PFMLIB) $(PERF_EVENT_HDR)
	$(CC) $(CFLAGS) -o $@ $(LDFLAGS) $< $(LPC_UTILS) $(PFMLIB) $(LIBS) 

$(LPC_UTILS): $(LPC_UTILS_HDR)

clean:
	@set -e ; for d in $(DIRS) ; do $(MAKE) -C $$d $@ ; done
	$(RM) -f *.o $(TARGETS) *~

distclean: clean

install_examples: $(TARGETS)
	@echo installing: $(TARGETS)
	-mkdir -p $(EXAMPLESDIR)
	$(INSTALL) -m 755 $(TARGETS) $(EXAMPLESDIR)
	@set -e ; for d in $(DIRS) ; do $(MAKE) -C $$d $@ ; done
#
# examples are installed as part of the RPM install, typically in /usr/share/doc/libpfm-X.Y/
#
.PHONY: install depend install_examples

=== debian/changelog ===
libpfm4 (4.9.0-2) unstable; urgency=medium

  * Fix mips event name containing space: "OCP_WRITE_CACHEABLE REQUESTS".
  * Fix armhf building for arm64 on 64-bit CPU.
  * Set Rules-Requires-Root: no.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 25 Jan 2018 06:46:24 +0100

libpfm4 (4.9.0-1) unstable; urgency=medium

  * New upstream release.
  * d/copyright: Refresh copyright list from upstream git commit history.
  * typos.patch: Fix some typos found by Lintian.
  * Switch to Priority: optional.
  * Bump Standards-Version to 4.1.3.
  * Switch to debhelper compat level 11.
  * Switch from dh_install --list-missing to dh_missing.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 09 Jan 2018 14:14:40 +0100

libpfm4 (9.0) unstable; urgency=low
  * add support for Broadwell EP uncore PMUa
  * add support for Intel Skylake X
  * add support for AMD Fam17h
  * add support for IBM Power9
  * add support for AMD Fam16h
  * various fixes and event table updates

 -- Stephane Eranian <eranian@gmail.com>  Thu, 4 Jan  2018 13:37:01 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: libpfm4
-Priority: extra
+Section: libs
+Priority: optional
 Maintainer: Vincent Danjean <vdanjean@debian.org>
 Uploaders:
  Andreas Beckmann <anbe@debian.org>,
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 11~),
  dh-python,
  python-all-dev (>= 2.6.6-3~),
  swig,
 X-Python-Version: >=2.4
-Standards-Version: 3.9.8
-Section: libs
+Rules-Requires-Root: no
+Standards-Version: 4.1.3
 Homepage: http://perfmon2.sourceforge.net/
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/libpfm4.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/libpfm4.git

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DPKG_EXPORT_BUILDFLAGS	 = yes
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/architecture.mk

# Upstream does not use CPPFLAGS
CFLAGS	+= $(CPPFLAGS)

PYTHON2=$(shell pyversions -vr)

# Prevent setuptools/distribute from accessing the internet.
export http_proxy = http://127.0.0.1:9

# architecture mapping $(DEB_HOST_ARCH) => libpfm4 ARCH
# in case that can't be derived from the cpu correctly
# e.g. cross-compiling for a 32-bit architecture on a 64-bit cpu
LIBPFM4_ARCH_armel	 = arm
LIBPFM4_ARCH_armhf	 = arm
LIBPFM4_ARCH_i386	 = i386

LIBPFM4_ARCH_FLAG	 = $(foreach a,$(strip $(LIBPFM4_ARCH_$(DEB_HOST_ARCH))),ARCH=$a)

%:
	dh  $@ --with python2

#ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
#test-python%:
#	cd python && python$* setup.py test -vv
#
#override_dh_auto_test: $(PYTHON2:%=test-python%) $(PYTHON3:%=test-python%)
#endif

override_dh_auto_build:
	dh_auto_build -- $(LIBPFM4_ARCH_FLAG)
	dh_auto_build --sourcedirectory=python --buildsystem=python_distutils

override_dh_auto_test:
	./tests/validate

override_dh_auto_install:
	$(MAKE) install \
		DESTDIR=$(CURDIR)/debian/tmp \
		PREFIX=/usr \
		LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
		LDCONFIG=true
	dh_auto_install --sourcedirectory=python --buildsystem=python_distutils

override_dh_auto_clean:
	dh_auto_clean
	dh_auto_clean --sourcedirectory=python --buildsystem=python_distutils
	dh_auto_clean --sourcedirectory=python --buildsystem=makefile

override_dh_install:
	dh_install -X.pyc

override_dh_missing:
	dh_missing --list-missing

override_dh_makeshlibs:
	dh_makeshlibs -a -- -c4

override_dh_shlibdeps:
	dh_shlibdeps -a -- --warnings=7

## libpfm4 4.10.0

=== lib/Makefile ===
--- 
+++ 
@@ -91,6 +91,25 @@
 	  pfmlib_intel_hswep_unc_r3qpi.c \
 	  pfmlib_intel_hswep_unc_irp.c \
 	  pfmlib_intel_hswep_unc_sbo.c \
+	  pfmlib_intel_bdx_unc_cbo.c \
+	  pfmlib_intel_bdx_unc_ubo.c \
+	  pfmlib_intel_bdx_unc_sbo.c \
+	  pfmlib_intel_bdx_unc_ha.c \
+	  pfmlib_intel_bdx_unc_imc.c \
+	  pfmlib_intel_bdx_unc_irp.c \
+	  pfmlib_intel_bdx_unc_pcu.c \
+	  pfmlib_intel_bdx_unc_qpi.c \
+	  pfmlib_intel_bdx_unc_r2pcie.c \
+	  pfmlib_intel_bdx_unc_r3qpi.c \
+	  pfmlib_intel_skx_unc_cha.c \
+	  pfmlib_intel_skx_unc_iio.c \
+	  pfmlib_intel_skx_unc_imc.c \
+	  pfmlib_intel_skx_unc_irp.c \
+	  pfmlib_intel_skx_unc_m2m.c \
+	  pfmlib_intel_skx_unc_m3upi.c \
+	  pfmlib_intel_skx_unc_pcu.c \
+	  pfmlib_intel_skx_unc_ubo.c \
+	  pfmlib_intel_skx_unc_upi.c \
 	  pfmlib_intel_knc.c \
 	  pfmlib_intel_slm.c \
 	  pfmlib_intel_knl.c \
@@ -102,7 +121,8 @@
 	  pfmlib_intel_netburst.c \
 	  pfmlib_amd64_k7.c pfmlib_amd64_k8.c pfmlib_amd64_fam10h.c \
 	  pfmlib_amd64_fam11h.c pfmlib_amd64_fam12h.c \
-	  pfmlib_amd64_fam14h.c pfmlib_amd64_fam15h.c
+	  pfmlib_amd64_fam14h.c pfmlib_amd64_fam15h.c \
+	  pfmlib_amd64_fam17h.c pfmlib_amd64_fam16h.c
 
 CFLAGS += -DCONFIG_PFMLIB_ARCH_X86
 
@@ -228,6 +248,8 @@
 	events/amd64_events_fam12h.h	\
 	events/amd64_events_fam14h.h	\
 	events/amd64_events_fam15h.h	\
+	events/amd64_events_fam17h.h	\
+	events/amd64_events_fam16h.h	\
 	events/intel_p6_events.h	\
 	events/intel_netburst_events.h	\
 	events//intel_x86_arch_events.h \
@@ -275,6 +297,25 @@
 	events/intel_hswep_unc_r2pcie_events.h \
 	events/intel_hswep_unc_r3qpi_events.h \
 	events/intel_hswep_unc_irp_events.h \
+	events/intel_bdx_unc_cbo_events.h \
+	events/intel_bdx_unc_ubo_events.h \
+	events/intel_bdx_unc_sbo_events.h \
+	events/intel_bdx_unc_ha_events.h \
+	events/intel_bdx_unc_imc_events.h \
+	events/intel_bdx_unc_irp_events.h \
+	events/intel_bdx_unc_pcu_events.h \
+	events/intel_bdx_unc_qpi_events.h \
+	events/intel_bdx_unc_r2pcie_events.h \
+	events/intel_bdx_unc_r3qpi_events.h \
+	events/intel_skx_unc_cha_events.h \
+	events/intel_skx_unc_iio_events.h \
+	events/intel_skx_unc_imc_events.h \
+	events/intel_skx_unc_irp_events.h \
+	events/intel_skx_unc_m2m_events.h \
+	events/intel_skx_unc_m3upi_events.h \
+	events/intel_skx_unc_pcu_events.h \
+	events/intel_skx_unc_ubo_events.h \
+	events/intel_skx_unc_upi_events.h \
 	events/intel_knl_unc_imc_events.h \
 	events/intel_knl_unc_edc_events.h \
 	events/intel_knl_unc_cha_events.h \
@@ -318,7 +359,8 @@
 	events/arm_cortex_a9_events.h		\
 	events/arm_cortex_a15_events.h		\
 	events/arm_cortex_a57_events.h		\
-	events/arm_cortex_a53_events.h
+	events/arm_cortex_a53_events.h		\
+	events/arm_thunderx2_events.h
 
 INC_ARM64=events/arm_cortex_a57_events.h	\
 	  events/arm_cortex_a53_events.h

=== debian/changelog ===
libpfm4 (4.10.0-0ubuntu2) cosmic; urgency=medium

  * Fix ftbfs on armhf, wrong header name.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 12 Jun 2018 13:40:21 +0100

libpfm4 (4.10.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release LP: #1776169

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 11 Jun 2018 10:15:17 +0100

libpfm4 (4.9.0+git21-gc4de2ea-1) unstable; urgency=medium

  * New upstream GIT snapshot.
  * Bump Standards-Version to 4.1.4. No changes needed.
  * Put package under Debian HPC Team maintenance.
  * Switch Vcs-* URLs to salsa.debian.org.
  * typos.patch: Fix more typos found by Lintian.
  * Add debian/upstream/metadata.
  * libpfm4-dev: Ship the source code examples.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 22 Apr 2018 12:44:02 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,10 @@
 Source: libpfm4
 Section: libs
 Priority: optional
-Maintainer: Vincent Danjean <vdanjean@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian HPC Team <debian-hpc@lists.debian.org>
 Uploaders:
+ Vincent Danjean <vdanjean@debian.org>,
  Andreas Beckmann <anbe@debian.org>,
 Build-Depends:
  debhelper (>= 11~),
@@ -11,10 +13,10 @@
  swig,
 X-Python-Version: >=2.4
 Rules-Requires-Root: no
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Homepage: http://perfmon2.sourceforge.net/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/libpfm4.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/libpfm4.git
+Vcs-Browser: https://salsa.debian.org/hpc-team/libpfm4
+Vcs-Git: https://salsa.debian.org/hpc-team/libpfm4.git
 
 Package: libpfm4
 Architecture: linux-any

## libpfm4 4.10.1+git6-g8f2208a

=== debian/changelog ===
libpfm4 (4.10.1+git6-g8f2208a-1) unstable; urgency=medium

  * New upstream GIT snapshot.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 21 Jan 2019 18:04:58 +0100

libpfm4 (4.10.1-1) unstable; urgency=medium

  * New upstream release.
  * Cherry-pick Cavium ThunderX2 event updates.
  * Apply proposed SPARC fix.
  * Add Build-Depends-Package to symbols file.
  * Switch to debhelper-compat (= 11).
  * Bump Standards-Version to 4.3.0. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 10 Jan 2019 23:18:46 +0100

libpfm4 (4.10.0-1) unstable; urgency=medium

  * New upstream release.  (Closes: #897791)
  * Cherry-pick ARM build fixes and Skylake event updates.
  * d/copyright: Refresh copyright list from upstream git commit history.
  * Drop obsolete X-Python-Version.
  * Do not ship the compiled examples.  (Closes: #897343, #897357)

 -- Andreas Beckmann <anbe@debian.org>  Wed, 13 Jun 2018 18:38:36 +0200

libpfm4 (10.1) unstable; urgency=low
  * fix Cavium Thunder X2 build issues
  * Update Skylake event table

 -- Stephane Eranian <eranian@gmail.com>  Thu, 13 Jun  2018 23:40:01 +0200

libpfm4 (10.0) unstable; urgency=low
  * add support for Skylake X uncore PMUs
  * add support for Cavium Thunder X2 core PMU
  * add support for Intel Knights Mill core PMU
  * various fixes and event table updates

 -- Stephane Eranian <eranian@gmail.com>  Thu, 6 Jun  2018 11:37:01 +0200

## libpfm4 4.10.1+git10

=== perf_examples/Makefile ===
--- 
+++ 
@@ -72,7 +72,7 @@
 
 distclean: clean
 
-install_examples: $(TARGETS)
+install-examples install_examples: $(TARGETS)
 	@echo installing: $(TARGETS)
 	-mkdir -p $(EXAMPLESDIR)
 	$(INSTALL) -m 755 $(TARGETS) $(EXAMPLESDIR)
@@ -80,4 +80,4 @@
 #
 # examples are installed as part of the RPM install, typically in /usr/share/doc/libpfm-X.Y/
 #
-.PHONY: install depend install_examples
+.PHONY: install depend install_examples install-examples

## libpfm4 4.10.1+git10-gd2a5b56

=== debian/changelog ===
libpfm4 (4.10.1+git10-gd2a5b56-1) unstable; urgency=medium

  * New upstream GIT snapshot.
    - Update SKX and CLX event tables.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 18 May 2019 15:13:01 +0200

libpfm4 (4.10.1+git9-gac95d19-1) unstable; urgency=medium

  * New upstream GIT snapshot.
    - Remove MERGE event from AMD Fam17h table.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 30 Apr 2019 01:46:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,17 @@
 Source: libpfm4
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian HPC Team <debian-hpc@lists.debian.org>
+Maintainer: Debian HPC Team <debian-hpc@lists.debian.org>
 Uploaders:
  Vincent Danjean <vdanjean@debian.org>,
  Andreas Beckmann <anbe@debian.org>,
 Build-Depends:
- debhelper (>= 11~),
+ debhelper-compat (= 11),
  dh-python,
  python-all-dev (>= 2.6.6-3~),
  swig,
-X-Python-Version: >=2.4
 Rules-Requires-Root: no
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Homepage: http://perfmon2.sourceforge.net/
 Vcs-Browser: https://salsa.debian.org/hpc-team/libpfm4
 Vcs-Git: https://salsa.debian.org/hpc-team/libpfm4.git

=== debian/rules ===
--- 
+++ 
@@ -41,8 +41,10 @@
 	dh_auto_build -- $(LIBPFM4_ARCH_FLAG)
 	dh_auto_build --sourcedirectory=python --buildsystem=python_distutils
 
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 override_dh_auto_test:
 	./tests/validate
+endif
 
 override_dh_auto_install:
 	$(MAKE) install \

## libpfm4 4.10.1+git14-g815ff28

=== debian/changelog ===
libpfm4 (4.10.1+git14-g815ff28-1) unstable; urgency=medium

  * New upstream GIT snapshot.
  * Stop building the Python 2 bindings.
  * Switch to debhelper-compat (= 12).
  * Bump Standards-Version to 4.4.0. No changes needed.
  * typos.patch: Fix more typos found by Lintian.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 14 Aug 2019 16:04:02 +0200

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,10 @@
  Vincent Danjean <vdanjean@debian.org>,
  Andreas Beckmann <anbe@debian.org>,
 Build-Depends:
- debhelper-compat (= 11),
- dh-python,
- python-all-dev (>= 2.6.6-3~),
+ debhelper-compat (= 12),
  swig,
 Rules-Requires-Root: no
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: http://perfmon2.sourceforge.net/
 Vcs-Browser: https://salsa.debian.org/hpc-team/libpfm4
 Vcs-Git: https://salsa.debian.org/hpc-team/libpfm4.git
@@ -50,15 +48,3 @@
  interface which was introduced in Linux v2.6.31.
  .
  This package provides the development files of the library.
-
-Package: python-libpfm4
-Architecture: linux-any
-Section: python
-Depends: libpfm4 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends},
- ${python:Depends}
-Provides: ${python:Provides}
-XB-Python-Version: ${python:Versions}
-Description: Python bindings for libpfm4
- This package allows you to write simple Python scripts that monitor
- various hardware performance monitoring events. It may be more efficient
- to use this approach instead of parsing the output of other tools.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DPKG_EXPORT_BUILDFLAGS	 = yes
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/architecture.mk

# Upstream does not use CPPFLAGS
CFLAGS	+= $(CPPFLAGS)

# architecture mapping $(DEB_HOST_ARCH) => libpfm4 ARCH
# in case that can't be derived from the cpu correctly
# e.g. cross-compiling for a 32-bit architecture on a 64-bit cpu
LIBPFM4_ARCH_armel	 = arm
LIBPFM4_ARCH_armhf	 = arm
LIBPFM4_ARCH_i386	 = i386

LIBPFM4_ARCH_FLAG	 = $(foreach a,$(strip $(LIBPFM4_ARCH_$(DEB_HOST_ARCH))),ARCH=$a)

%:
	dh  $@

override_dh_auto_build:
	dh_auto_build -- $(LIBPFM4_ARCH_FLAG)

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	./tests/validate
endif

override_dh_auto_install:
	$(MAKE) install \
		DESTDIR=$(CURDIR)/debian/tmp \
		PREFIX=/usr \
		LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
		LDCONFIG=true

override_dh_missing:
	dh_missing --list-missing

override_dh_makeshlibs:
	dh_makeshlibs -a -- -c4

override_dh_shlibdeps:
	dh_shlibdeps -a -- --warnings=7

## libpfm4 4.10.1+git20

=== perf_examples/Makefile ===
--- 
+++ 
@@ -53,16 +53,16 @@
 
 EXAMPLESDIR=$(DESTDIR)$(DOCDIR)/perf_examples
 
-all: $(TARGETS)
+all: $(TARGETS) rtop
 	@set -e ; for d in $(DIRS) ; do $(MAKE) -C $$d $@ ; done
 #
 # Many systems don't have ncurses-devel installed
 #
-rtop: rtop.o $(PFMLIB)
-	-$(CC) $(CFLAGS) $(LDFLAGS) -D_GNU_SOURCE -o $@ $^ $(LIBS)  -lpthread -lncurses -lm
+rtop: rtop.o $(PFMLIB) $(PERF_EVENT_HDR)
+	-$(CC) $(CFLAGS) -o $@ $(LDFLAGS) $< $(LPC_UTILS) $(PFMLIB) $(LIBS) -lpthread -lncurses -lm
 
-$(TARGETS): %:%.o $(LPC_UTILS) $(PFMLIB) $(PERF_EVENT_HDR)
-	$(CC) $(CFLAGS) -o $@ $(LDFLAGS) $< $(LPC_UTILS) $(PFMLIB) $(LIBS) 
+$(TARGETS): %:%.o $(LPC_UTILS) $(PFMLIB)
+	-$(CC) $(CFLAGS) -o $@ $(LDFLAGS) $< $(LPC_UTILS) $(PFMLIB) $(LIBS) 
 
 $(LPC_UTILS): $(LPC_UTILS_HDR)

## libpfm4 4.10.1+git20-g7700f49

=== debian/changelog ===
libpfm4 (4.10.1+git20-g7700f49-2) unstable; urgency=medium

  * string-truncation.patch: New, fix incorrect strncpy() usage.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 04 Dec 2019 23:56:29 +0100

libpfm4 (4.10.1+git20-g7700f49-1) unstable; urgency=medium

  [ Andreas Beckmann ]
  * New upstream GIT snapshot.
  * Add B-D: libncurses-dev.
  * reproducible.patch: New, do not use __DATE__.
  * typos.patch: Fix more typos found by Lintian.
  * [sparc]: UltraSPARC-III+/IIIi: Disable conflicting event with code 0x4.
  * Bump Standards-Version to 4.4.1. No changes needed.

  [ Helmut Grohne ]
  * Fix FTCBFS for ppc64el:  (Closes: #939418)
    + Pass LIBPFM4_ARCH_FLAG to make install to avoid a rebuild.
    + Extecn LIBPFM4_ARCH_ map for ppc64el.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 04 Dec 2019 20:07:57 +0100

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,10 @@
  Andreas Beckmann <anbe@debian.org>,
 Build-Depends:
  debhelper-compat (= 12),
+ libncurses-dev,
  swig,
 Rules-Requires-Root: no
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Homepage: http://perfmon2.sourceforge.net/
 Vcs-Browser: https://salsa.debian.org/hpc-team/libpfm4
 Vcs-Git: https://salsa.debian.org/hpc-team/libpfm4.git

## libpfm4 4.10.1+git44

=== docs/Makefile ===
--- 
+++ 
@@ -40,6 +40,7 @@
 	 libpfm_amd64_fam15h.3	\
 	 libpfm_amd64_fam16h.3	\
 	 libpfm_amd64_fam17h.3	\
+	 libpfm_amd64_fam17h_zen2.3 \
 	 libpfm_intel_atom.3	\
 	 libpfm_intel_nhm.3	\
 	 libpfm_intel_nhm_unc.3 \
@@ -53,9 +54,11 @@
 	 libpfm_intel_bdw.3	\
 	 libpfm_intel_rapl.3	\
 	 libpfm_intel_slm.3	\
+	 libpfm_intel_tmt.3	\
 	 libpfm_intel_skl.3	\
 	 libpfm_intel_glm.3	\
 	 libpfm_intel_knl.3	\
+	 libpfm_intel_knm.3	\
 	 libpfm_intel_snbep_unc_cbo.3 \
 	 libpfm_intel_snbep_unc_ha.3 \
 	 libpfm_intel_snbep_unc_imc.3 \
@@ -93,7 +96,15 @@
 	 libpfm_intel_bdx_unc_r2pcie.3 \
 	 libpfm_intel_bdx_unc_r3qpi.3 \
 	 libpfm_intel_bdx_unc_sbo.3 \
-	 libpfm_intel_bdx_unc_ubo.3
+	 libpfm_intel_bdx_unc_ubo.3 \
+	 libpfm_intel_skx_unc_cha.3 \
+	 libpfm_intel_skx_unc_imc.3 \
+	 libpfm_intel_skx_unc_irp.3 \
+	 libpfm_intel_skx_unc_m2m.3 \
+	 libpfm_intel_skx_unc_m3upi.3 \
+	 libpfm_intel_skx_unc_pcu.3 \
+	 libpfm_intel_skx_unc_ubo.3 \
+	 libpfm_intel_skx_unc_upi.3
 
 
 ifeq ($(CONFIG_PFMLIB_ARCH_I386),y)

=== lib/Makefile ===
--- 
+++ 
@@ -112,6 +112,7 @@
 	  pfmlib_intel_skx_unc_upi.c \
 	  pfmlib_intel_knc.c \
 	  pfmlib_intel_slm.c \
+	  pfmlib_intel_tmt.c \
 	  pfmlib_intel_knl.c \
 	  pfmlib_intel_knl_unc_imc.c \
 	  pfmlib_intel_knl_unc_edc.c \
@@ -177,7 +178,7 @@
 endif
 
 INCARCH = $(INC_ARM)
-SRCS   += pfmlib_arm.c pfmlib_arm_armv7_pmuv1.c pfmlib_arm_armv6.c pfmlib_arm_armv8.c
+SRCS   += pfmlib_arm.c pfmlib_arm_armv7_pmuv1.c pfmlib_arm_armv6.c pfmlib_arm_armv8.c pfmlib_tx2_unc_perf_event.c
 CFLAGS += -DCONFIG_PFMLIB_ARCH_ARM
 endif
 
@@ -188,7 +189,7 @@
 endif
 
 INCARCH = $(INC_ARM64)
-SRCS   += pfmlib_arm.c pfmlib_arm_armv8.c
+SRCS   += pfmlib_arm.c pfmlib_arm_armv8.c pfmlib_tx2_unc_perf_event.c
 CFLAGS += -DCONFIG_PFMLIB_ARCH_ARM64
 endif
 
@@ -248,7 +249,8 @@
 	events/amd64_events_fam12h.h	\
 	events/amd64_events_fam14h.h	\
 	events/amd64_events_fam15h.h	\
-	events/amd64_events_fam17h.h	\
+	events/amd64_events_fam17h_zen1.h \
+	events/amd64_events_fam17h_zen2.h \
 	events/amd64_events_fam16h.h	\
 	events/intel_p6_events.h	\
 	events/intel_netburst_events.h	\
@@ -276,6 +278,7 @@
 	events/intel_snbep_unc_ubo_events.h \
 	events/intel_snbep_unc_r2pcie_events.h \
 	events/intel_snbep_unc_r3qpi_events.h \
+	events/intel_tmt_events.h \
 	events/intel_knc_events.h \
 	events/intel_knl_events.h \
 	events/intel_ivbep_unc_cbo_events.h \
@@ -360,10 +363,13 @@
 	events/arm_cortex_a15_events.h		\
 	events/arm_cortex_a57_events.h		\
 	events/arm_cortex_a53_events.h		\
-	events/arm_thunderx2_events.h
+	events/arm_cavium_tx2_events.h		\
+	events/arm_marvell_tx2_unc_events.h
 
 INC_ARM64=events/arm_cortex_a57_events.h	\
-	  events/arm_cortex_a53_events.h
+	events/arm_cortex_a53_events.h	\
+	events/arm_cavium_tx2_events.h	\
+	events/arm_marvell_tx2_unc_events.h
 
 INCDEP=$(INC_COMMON) $(INCARCH)
 
@@ -402,4 +408,3 @@
 endif
 
 tags:
-	$(CTAGS) -o $(TOPDIR)/tags --tag-relative=yes $(SRCS) $(INCDEP)
